/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


:root {
    --primary: #1D1E21;
    --secondary: #AA468E;
    --text: #575960;
    --accent: #FF2E17;
    --light-grey: #B0B1B3;
    --white: #FFFFFF;
    --black: #000000;
    --font1: "Gabarito";
    --font2: "Poppins", Sans-serif;
}

html {
    scroll-behavior: smooth;
    margin: 0 !important;
}

body {
    margin: 0;
    padding: 0;
    color: var(--secondery);
    font-family: var(--font-1);
    font-size: 16px;
    background-color: #f9fafb;
}

img {
    display: block;
}

a {
    text-decoration: none !important;
    transition: all 0.5s ease;
}


p:last-child {
    margin-bottom: 0;
}

::selection {
    color: var(--secondary);
    background: var(--white);
}

img {
    max-width: 100%;
    width: auto;
    height: auto;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
    font-family: var(--font-1);
}

.header {
    width: 100%;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    z-index: 99;
    transition: all 0.5s ease;
    background-color: transparent;
}

html .header,
html .header>.e-con-inner,
html .header>.e-con-inner img {
    transition: all 0.5s ease;
}

html.sticky .header {
    background-color: #0b1b3ce6 !important;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

html.sticky .header>.e-con-inner {
    padding: 8px 0;
}

html.sticky .header>.e-con-inner img {
    max-width: 130px;
}

.btn a {
    background-color: var(--white) !important;
    transition: all 0.5s ease;
}

.btn:hover a {
    background-color: var(--secondary) !important;
    transition: all 0.5s ease;
}

.btn.light_btn a {
    background-color: var(--white) !important;
    transition: all 0.5s ease;
}

.btn.light_btn:hover a {
    background-color: var(--secondary) !important;
    transition: all 0.5s ease;
}

.btn.dark_btn a {
    background-color: var(--primary) !important;
    transition: all 0.5s ease;
}

.btn.dark_btn:hover a {
    background-color: var(--secondary) !important;
    transition: all 0.5s ease;
}

.btn.call_btn a {
    background-color: var(--white) !important;
    transition: all 0.5s ease;
}

.btn.call_btn:hover a {
    background-color: var(--primary) !important;
    transition: all 0.5s ease;
}

.btn.quote_btn a {
    background-color: var(--secondary) !important;
    transition: all 0.5s ease;
}

.btn.quote_btn:hover a {
    background-color: var(--primary) !important;
    transition: all 0.5s ease;
}


.header .nav_link nav {
    width: 100% !important;
}

html .header .hfe-nav-menu .sub-menu {
    width: max-content !important;
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 5px;
}

html .header .hfe-nav-menu li.hfe-has-submenu ul li a {
    border-radius: 10px;
    transition: all 0.5s ease;
}

.about_sec {
    position: relative;
}

.about_sec::before {
    position: absolute;
    content: '';
    width: 100px;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, #09090a 0%, #F2F2F2 100%);
    z-index: 1;
}

.features_card .elementor-image-box-wrapper {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 30px;
}

.features_card .elementor-image-box-img {
    order: 1;
}

.working-showcase h3,
.features_card .elementor-image-box-wrapper h3 {
    margin-top: 0;
}


.features_card {
    position: relative;
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.features_card .viewmore_link {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    z-index: 2;
    transform: translateY(100%);
    opacity: 0;
    transition: transform 0.4s ease, opacity 0.3s ease;
}

/* Show on hover */
.features_card:hover .viewmore_link {
    transform: translateY(0);
    opacity: 1;
}

.choose_sec .choose_title_wrap {
    position: sticky;
    top: 100px;
    height: fit-content;
}

/* ===== SWIPER CONTAINER ===== */
.review_sec .mySwiper {
    width: 100%;
    padding-left: 6%;
    padding-right: 6%;
}

/* REMOVE negative margins (important) */
.review_sec .review_slider .swiper-wrapper {
    margin: 0 !important;
}

/* SLIDES */
.review_sec .swiper-slide {
    width: calc((100% - 40px) / 3) !important;
    /* 3 slides with gap */
    margin-right: 20px !important;
    transition: 0.4s ease;
}

/* Remove last extra gap */
.review_sec .swiper-slide:last-child {
    margin-right: 0 !important;
}

.review_sec .mySwiper .slide-block {
    border: none;
    padding: 0;
}

.review_sec .mySwiper .block-shadow {
    padding: 30px 30px 80px;
}

.review_sec .mySwiper .slide-block .slide-icons {
    position: absolute;
    left: 30px;
    bottom: 30px;
}

.review_sec .mySwiper .slide-info {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.review_sec .mySwiper .slide-read-more {
    display: none;
}

.review_sec .mySwiper .swiper-pagination {
    gap: 8px;
}

.review_sec .mySwiper .swiper-pagination .swiper-pagination-bullet {
    margin: 0 !important;
}

.review_sec .mySwiper .swiper-pagination .swiper-pagination-bullet:hover,
.review_sec .mySwiper .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    position: relative;
    transition: all 0.5s ease;
}

/* .review_sec .mySwiper .swiper-pagination .swiper-pagination-bullet:hover::before,
.review_sec .mySwiper .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active:before {
    position: absolute;
    content: '';
    width: 16px;
    height: 16px;
    border: 1px solid var(--primary);
    top: -5.5px;
    left: -5.5px;
    border-radius: 50%;
} */
.service_sec .service_box {
    cursor: pointer;
}

.service_sec .service_box {
    position: relative;
    overflow: hidden;
}

.service_sec .service_box .bottom_content {
    display: flex;
    flex-direction: column;
    height: 283px;
    justify-content: flex-start;
    overflow: hidden;
}

.service_sec .service_box .bottom_content .content {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.service_sec .service_box .bottom_content .elementor-widget-divider,
.service_sec .service_box .bottom_content .content {
    opacity: 1;
    height: auto;
    max-height: 100px;
    transition: all 0.5s ease;
    overflow: hidden;
}

.service_sec .service_box .elementor-widget-image {
    height: 200px;
    width: 100%;
    overflow: hidden;
    border-radius: 10px;
    transition: all 0.5s ease;
}

.service_sec .service_box .elementor-widget-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 0.5s ease;
    filter: brightness(0.5);
}

.service_sec .service_box:hover .bottom_content .elementor-widget-divider,
.service_sec .service_box:hover .bottom_content .content {
    opacity: 0;
    max-height: 0;
    margin: 0;
    padding: 0;
}

.service_sec .service_box:hover .elementor-widget-image {
    height: 300px;
    border-radius: 10px;
}

.service_sec .service_box:hover .elementor-widget-image img {
    filter: brightness(1);
}

.faq_data .e-n-accordion .e-n-accordion-item-title {
    transition: all 0.5s ease;
}

.feature_wrap .features_box {
    height: 100%;
}

.content-list {
    width: 100%;
    max-width: 636px;
}

.content-list .list-data {
    backdrop-filter: blur(10px);
}

.content-list .list-data h3 {
    margin: 0;
}

.footer h3 {
    margin: 0;
}


/* product detail page css */
.feature_list .feature_box {
    position: relative;
}

.feature_list .feature_box:not(:last-child):after {
    content: '';
    position: absolute;
    width: 1px;
    height: 100%;
    background-color: #2f3b51;
    top: 0;
    right: 0;
    display: none;
}

.detail_list .detail_box {
    transition: all 0.3s ease;
}

.detail_list .detail_box:hover {
    transform: translateY(-10px);
}


.specs-table {
    margin: 0;
    border-collapse: collapse;
    background: var(--white);
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
}

.specs-table tr {
    transition: 0.3s;
    color: var(--black);
}

.specs-table td {
    padding: 15px 20px;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-bottom: 1px solid #eee;
}

table.specs-table tbody>tr td.spec-name {
    border-right: 1px solid #eee;
    width: 30%;
    font-weight: 500;
    background-color:#90909047;
}

/* ===== TABLE WRAPPER ===== */
.table-responsive {
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

/* Scrollbar (optional) */
.table-responsive::-webkit-scrollbar {
    height: 4px;
}

.table-responsive::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 10px;
}

.comparison-table {
    margin: 0;
}

.comparison-table tr:first-child th {
    background-color: #b0b1b340 !important;
}

.comparison-table tr td.highlight,
.comparison-table tr:first-child th.highlight {
    background-color: #de2cb60f !important;
}

.comparison-table tr:first-child th.highlight {
    border: 2px solid var(--secondary);
    background-color: var(--secondary) !important;
    color: var(--white);
}

.comparison-table tr td {
    background-color: var(--white) !important;
}

.related-machines .machine-card,
.related-machines .machine-card .machine_data {
    transition: all 0.5s ease;
}

.related-machines .machine-card .machine_data {
    height: 100%;
}

.related-machines .machine-card:hover {
    transform: translateY(-10px);
}

.related-machines .machine-card .view_link {
    margin-top: auto;
}

.related-machines .machine-card .view_link h2 a {
    text-decoration: none;
}

.form_wrapper .form-data {
    display: flex;
    flex-direction: column;
    gap: 22px;
}

html input::placeholder,
html textarea::placeholder {
    color: var(--light-grey);
    text-overflow: ellipsis;
}

.form_wrapper .form-data .form-field input,
.form_wrapper .form-data .form-field select {
    line-height: 42px;
    padding: 0 20px;
    border-radius: 10px;
    color: var(--black);
    text-overflow: ellipsis;
    --webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.wpcf7-form select {
    background-image: url('data:image/svg+xml,<svg width="10" height="6" viewBox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.800293 0.800781C0.800293 0.800781 3.74623 4.80078 4.80029 4.80078C5.85443 4.80078 8.80029 0.800781 8.80029 0.800781" stroke="%23111111" stroke-width="1.6" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    background-position: right 20px center;
    background-repeat: no-repeat;
    background-size: 10px auto;
    transition: background-image 0.3s ease;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
select:-webkit-autofill {
    -webkit-text-fill-color: var(--black);
    -webkit-box-shadow: 0 0 0px 1000px rgb(96 160 169) inset;
    transition: background-color 5000s ease-in-out 0s;
}

input.wpcf7-form-control.wpcf7-submit.has-spinner {
    background-color: var(--e-global-color-secondary);
    width: 100%;
    border: none;
    outline: none;
    border-radius: 10px;
}

input.wpcf7-form-control.wpcf7-submit.has-spinner:hover {
    background-color: var(--primary);
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.failed .wpcf7-response-output {
    background: #fff9f9;
    border: 1.5px solid #c02b0a;
    border-radius: 5px;
    box-shadow: 0 1px 4px rgba(0, 0, 0, .11), 0 0 4px rgba(18, 25, 97, .041);
    margin-bottom: 8px;
    margin-top: 8px;
    padding: 10px 7px;
    position: relative;
    width: 100%;
    font-size: 15px;
    text-align: center;
    color: red;
}

form.wpcf7-form.sent .wpcf7-response-output {
    background: #00a5071f;
    border: 1.5px solid #00a507;
    border-radius: 5px;
    box-shadow: 0 1px 4px rgba(0, 0, 0, .11), 0 0 4px rgba(18, 25, 97, .041);
    margin-bottom: 8px;
    margin-top: 8px;
    padding: 10px 7px;
    position: relative;
    width: 100%;
    font-size: 15px;
    text-align: center;
    color: #00a507;
}

form.wpcf7-form .wpcf7-spinner {
    top: 5px;
    left: 50%;
}

@media (max-width:1024px) {

    .header .nav_link {
        order: 1;
    }

    .header .nav_link nav ul li a:focus {
        color: var(--primary) !important;
    }

    html .header .hfe-nav-menu .sub-menu {
        padding: 0;
    }

    html nav.hfe-nav-menu__layout-horizontal.hfe-dropdown {
        position: fixed !important;
        top: 0 !important;
        bottom: 0 !important;
        left: auto !important;
        right: 0 !important;
        height: 100vh !important;
        width: 300px !important;
        background: #01112D !important;
        display: block;
        padding: 40px 20px 80px;
        transition: all 0.5s;
        transform: translatex(110%) !important;
        overflow-y: auto;
        margin-top: 0 !important;
        border-radius: 0 !important;
        box-shadow: -10px 0 20px 0 #0000000a;
    }

    html nav.hfe-nav-menu__layout-horizontal.hfe-dropdown.menu-is-active {
        transform: translateX(0%) !important;
    }

    .hfe-nav-menu__breakpoint-tablet .hfe-nav-menu__layout-horizontal,
    .hfe-nav-menu__breakpoint-tablet .hfe-nav-menu__layout-vertical {
        visibility: visible;
        opacity: 1;
    }

    .hfe-nav-menu__toggle.elementor-clickable.hfe-active-menu.hfe-active-menu-full-width {
        z-index: 999999;
        position: fixed;
        top: 20px;
        right: 20px;
    }

    nav.hfe-nav-menu__layout-horizontal.hfe-nav-menu__submenu-arrow.hfe-dropdown>ul>li {
        margin-bottom: 18px;
        border: 0 !important;
    }

    .hfe-nav-menu__toggle.elementor-clickable.hfe-active-menu.hfe-active-menu-full-width .hfe-nav-menu-icon {
        padding: 0;
    }

    nav.hfe-nav-menu__layout-horizontal.hfe-nav-menu__submenu-arrow.hfe-dropdown>ul>li a:active,
    nav.hfe-nav-menu__layout-horizontal.hfe-nav-menu__submenu-arrow.hfe-dropdown>ul>li a:hover,
    nav.hfe-nav-menu__layout-horizontal.hfe-nav-menu__submenu-arrow.hfe-dropdown>ul>li div.sub-menu-active a {
        background-color: transparent !important;
        color: var(--secondary) !important;
    }

    html .header .hfe-nav-menu>li {
        margin-right: 0;
    }

    html .header .hfe-nav-menu .sub-menu {
        width: 100% !important;
    }

    html .header .hfe-nav-menu li.hfe-has-submenu ul li a:hover {
        background-color: var(--white) !important;
        color: var(--primary) !important;
    }

    .about_sec::before {
        width: 60px;
    }

    .trust-stats .elementor-counter {
        text-align: center;
    }

    .review_sec .swiper-slide {
        width: calc((100% - 20px) / 2) !important;
    }

    .features_card .elementor-image-box-wrapper {
        gap: 20px;
    }
}

@media (max-width:767px) {
    html.sticky .header>.e-con-inner img {
        max-width: 120px;
    }

    html nav.hfe-nav-menu__layout-horizontal.hfe-dropdown {
        width: 100% !important;
    }

    .choose_sec .choose_title_wrap {
        position: unset;
    }

    .about_sec::before {
        display: none;
        content: none;
    }

    .content-list {
        position: unset;
    }

    .review_sec .mySwiper {
        padding-left: 0;
        padding-right: 0;
        padding-top: 0;
    }

    .review_sec .swiper-slide {
        width: 100% !important;
        margin: 0 !important;
    }

    .feature_list .feature_box:not(:last-child):after {
        display: none;
        content: none;
    }

    .related-machines .machine-card .machine_data {
        height: auto;
    }

    .comparison-table {
        min-width: 720px;
        margin-bottom: 5px;
        /* force scroll */
    }

    .comparison-table th,
    .comparison-table td {
        padding: 12px;
        font-size: 13px;
    }

}